package com.ruoyi.voluntary.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 班级对象 b_busi_classes
 * 
 * @author voluntary
 * @date 2022-11-20
 */
public class BusiClasses extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 班级ID */
    private Long classId;

    /** 学校 */
    private Long schoolId;
    @Excel(name = "学校")
    private String schoolName;
    /** 年级 */
    private Long gradeId;
    @Excel(name = "年级")
    private String gradeName;
    /** 学年 */
    @Excel(name = "学年")
    private Integer year;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 是否生效 */
    @Excel(name = "是否生效")
    private Integer status;

    public void setClassId(Long classId) {
        this.classId = classId;
    }

    public Long getClassId() {
        return classId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public void setGradeId(Long gradeId) {
        this.gradeId = gradeId;
    }

    public Long getGradeId() {
        return gradeId;
    }

    public String getGradeName() {
        return gradeName;
    }

    public void setGradeName(String gradeName) {
        this.gradeName = gradeName;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getYear() {
        return year;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("classId", getClassId()).append("schoolId", getSchoolId())
            .append("gradeId", getGradeId()).append("year", getYear()).append("name", getName()).append("status", getStatus())
            .append("createTime", getCreateTime()).append("updateTime", getUpdateTime()).toString();
    }
}
